<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>Uses of Interface hk.quantr.mxgraph.model.mxGraphModel.Filter (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface hk.quantr.mxgraph.model.mxGraphModel.Filter (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../mxGraphModel.Filter.html" title="interface in hk.quantr.mxgraph.model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Interface hk.quantr.mxgraph.model.mxGraphModel.Filter" class="title">Uses of Interface<br>hk.quantr.mxgraph.model.mxGraphModel.Filter</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../mxGraphModel.Filter.html" title="interface in hk.quantr.mxgraph.model">mxGraphModel.Filter</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#hk.quantr.mxgraph.model">hk.quantr.mxgraph.model</a></th>
<td class="colLast">
<div class="block">This package contains the classes that define a graph model.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="hk.quantr.mxgraph.model">
<!--   -->
</a>
<h3>Uses of <a href="../mxGraphModel.Filter.html" title="interface in hk.quantr.mxgraph.model">mxGraphModel.Filter</a> in <a href="../package-summary.html">hk.quantr.mxgraph.model</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">hk.quantr.mxgraph.model</a> with parameters of type <a href="../mxGraphModel.Filter.html" title="interface in hk.quantr.mxgraph.model">mxGraphModel.Filter</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.Object[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphModel.</span><code><span class="memberNameLink"><a href="../mxGraphModel.html#filterCells(java.lang.Object%5B%5D,hk.quantr.mxgraph.model.mxGraphModel.Filter)">filterCells</a></span>&#8203;(java.lang.Object[]&nbsp;cells,
           <a href="../mxGraphModel.Filter.html" title="interface in hk.quantr.mxgraph.model">mxGraphModel.Filter</a>&nbsp;filter)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.util.Collection&lt;java.lang.Object&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphModel.</span><code><span class="memberNameLink"><a href="../mxGraphModel.html#filterDescendants(hk.quantr.mxgraph.model.mxIGraphModel,hk.quantr.mxgraph.model.mxGraphModel.Filter)">filterDescendants</a></span>&#8203;(<a href="../mxIGraphModel.html" title="interface in hk.quantr.mxgraph.model">mxIGraphModel</a>&nbsp;model,
                 <a href="../mxGraphModel.Filter.html" title="interface in hk.quantr.mxgraph.model">mxGraphModel.Filter</a>&nbsp;filter)</code></th>
<td class="colLast">
<div class="block">Creates a collection of cells using the visitor pattern.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.util.Collection&lt;java.lang.Object&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphModel.</span><code><span class="memberNameLink"><a href="../mxGraphModel.html#filterDescendants(hk.quantr.mxgraph.model.mxIGraphModel,hk.quantr.mxgraph.model.mxGraphModel.Filter,java.lang.Object)">filterDescendants</a></span>&#8203;(<a href="../mxIGraphModel.html" title="interface in hk.quantr.mxgraph.model">mxIGraphModel</a>&nbsp;model,
                 <a href="../mxGraphModel.Filter.html" title="interface in hk.quantr.mxgraph.model">mxGraphModel.Filter</a>&nbsp;filter,
                 java.lang.Object&nbsp;parent)</code></th>
<td class="colLast">
<div class="block">Creates a collection of cells using the visitor pattern.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../mxGraphModel.Filter.html" title="interface in hk.quantr.mxgraph.model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
